2021-03-01 05:22 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000786Frama-CPlug-in > slicingpublic2014-02-12 16:59
Reporterpascal 
Assigned ToAnne 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000786: 12816: Missing label in sliced program (csmith)
DescriptionSame conventions as usual, the slicing command was

~/ppc/bin/toplevel.opt -val-signed-overflow-alarms s.11215416.1.c -cpp-command "gcc -C -E -D__FRAMAC -I. -I$CSMITH/runtime " -machdep x86_64 -slice-calls Frama_C_show_each -slevel 5000 -slevel-function crc32_gentab:0 -then-on 'Slicing export' -no-slice-force -no-val -print -ocode s.11215416.1.s.c

But when compiling the sliced program:

$ gcc s.11215416.1.s.c show_each.c
s.11215416.1.s.c: In function ‘func_10_slice_1’:
s.11215416.1.s.c:163: error: label ‘_LOR’ used but not defined
TagsNo tags attached.
Attached Files

-Relationships
related to 0000799closedAnne r12925: Slicing: missing label (csmith) 
+Relationships

-Notes

~0001729

Anne (reporter)

The label is correctly marked as visible in the slicing results, but incorrectly filtered out during exportation... I am trying to find why !

~0004809

Anne (reporter)

Fix committed to stable/neon branch.
+Notes

-Issue History
Date Modified Username Field Change
2011-04-11 22:43 pascal New Issue
2011-04-11 22:43 pascal Status new => assigned
2011-04-11 22:43 pascal Assigned To => Anne
2011-04-11 22:43 pascal File Added: missing_label.tgz
2011-04-12 10:02 Anne Note Added: 0001729
2011-04-12 10:42 svn
2011-04-12 10:42 svn Status assigned => resolved
2011-04-12 10:42 svn Resolution open => fixed
2011-04-14 07:56 svn
2011-04-20 09:11 Anne Relationship added related to 0000799
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed
2013-12-19 01:12 patrick Source_changeset_attached => framac master ad280f53
2013-12-19 01:12 Anne Source_changeset_attached => framac master b4b73b49
2014-02-12 16:54 patrick Source_changeset_attached => framac stable/neon ad280f53
2014-02-12 16:54 Anne Source_changeset_attached => framac stable/neon b4b73b49
2014-02-12 16:59 Anne Note Added: 0004809
2014-02-12 16:59 Anne Status closed => resolved
+Issue History